/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1993, 1994 Lin Padgham, Ralph Rnnquist
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* 
 * MODULE NAME: 	xconfig.h
 *
 * SCCSINFO:		@(#)xconfig.h	1.6 6/1/94
 *
 * ORIGINAL AUTHOR(S):  ???????
 *
 * MODIFICATIONS:
 *	<list mods with name and date>
 *
 * DESCRIPTION:
 */

#ifndef XCONFIG_H
#define XCONFIG_H

/* Definition of configuration tag access */

/* 
 * LL_GetConfigl and LL_GetConfig from xconfig.c are used in 
 * two macros:  TCPIPNO and MONITORPROGNO
 */
#include "f_xconfig.h"

/* Configuration in .lincksrc only */
#define LOGDIR		LL_GetConfig("LOGDIR")
#define DBDIR		LL_GetConfig("DBDIR")
#define TCPIPNO		LL_GetConfigl("TCPIPNO")
#define HOST		LL_GetConfig("HOST")
#define HOST2		LL_GetConfig("HOST2")
#define OWNER		LL_GetConfig("OWNER")
#define BINARIES	LL_GetConfig("BINARIES")
#define MONITORPROGNO	LL_GetConfigl("MONITORPROGNO")	/* 572662306	*/

/* some non-configurable values that used to be. */
#define LINCKSLOG "lincks.log"
#define LINCKS "lincks"
#define MONITOR "monitor"
#define NETSERVER "netserv"
#define DBSERVER "dbs"
#define MONITORLOG "monitor.log"
#define NETSERVLOG "netserv.log"
#define DBSERVLOG "dbs.log"
#define PROTECTFILE "groups"
#define WRPROTECTFILE "wrgroups"
#define PASSWDFILE "passwd"
#define INDEXFILE "index"
#define MOLNAMES "molecule.names"
#define DATANAMES "data.names"
#define WSLOG "ws.log"

#endif /* XCONFIG_H */
