/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1993, 1994 Lin Padgham, Ralph Rnnquist
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * MODULE NAME:		ltextsink.h
 *
 * SCCSINFO:		@(#)ltextsink.h	1.2 5/3/94
 *
 * ORIGINAL AUTHOR(S):	???
 *
 * MODIFICATIONS:
 *	<list mods with name and date>
 *
 * DESCRIPTION:
 *	XlTextSink Object
 */
#ifndef _XlTextSink_h
#define _XlTextSink_h

#include <X11/Xaw/TextSink.h>

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 echo                Output             Boolean         True
 displayNonprinting  Output             Boolean         True

*/

#define XtCOutput "Output"
/* this is defined under R5 in just this way */
#ifndef XtCJustify
#define XtCJustify "Justify"
#endif

#define XtCIndent  "Indent"
#define XtCFontmap "Fontmap"

#define XtNdisplayNonprinting "displayNonprinting"
#define XtNecho "echo"
/* this is defined under R5 in just this way */
#ifndef XtNjustify
#define XtNjustify "justify"
#endif
#define XtNindent  "indent"
#define XtNfontmap "fontmap"

 
/* Class record constants */

extern WidgetClass XltextSinkObjectClass;

typedef struct _XlTextSinkClassRec *XlTextSinkObjectClass;
typedef struct _XlTextSinkRec      *XlTextSinkObject;

typedef enum {XlLeft, XlRight, XlCenter, XlFill} XlJustifyType;
typedef struct {
  int empty;	/* Resource to save the different font information
		   in the text */
}XlFontMap;

/************************************************************
 *
 * Public Functions.
 *
 ************************************************************/

#endif /* _XlTextSink_h -- DON'T ADD STUFF AFTER THIS  */



