/* 
 * Linkoping Intelligent Communication of Knowledge System (LINCKS)
 *      Copyright (C) 1993, 1994 Lin Padgham, Ralph Rnnquist
 *       Department of Computer and Information Sciences
 *		University of Linkoping, Sweden
 *		    581 83 Linkoping, Sweden
 *		       lincks@ida.liu.se
 *
 * These collective LINCKS programs are free software; you can 
 * redistribute them and/or modify them under the terms of the GNU
 * General Public License as published by the Free Software Foundation,
 * version 2 of the License.
 *
 * These programs are distributed in the hope that they will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with the programs; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * MODULE NAME:         view.h
 *
 * SCCSINFO:            @(#)view.h	1.3 5/3/94
 *
 * ORIGINAL AUTHOR(S):  ???
 *
 * MODIFICATIONS:
 *	<list mods with name and date>
 *
 * DESCRIPTION:
 *	Lincks XlView Widget which inherits from Athena Viewport widget.
 *
 **********************************************************************/
#ifndef _XlView_h
#define _XlView_h

#include <X11/Xaw/Form.h>
#include <X11/Xaw/Viewport.h>

/* Resources:

 Name		     Class		RepType		Default Value
 ----		     -----		-------		-------------
 allowHoriz	     Boolean		Boolean		False
 allowVert	     Boolean		Boolean		False
 background	     Background		Pixel		XtDefaultBackground
 border		     BorderColor	Pixel		XtDefaultForeground
 borderWidth	     BorderWidth	Dimension	1
 destroyCallback     Callback		Pointer		NULL
 foreceBars	     Boolean		Boolean		False
 height		     Height		Dimension	0
 mappedWhenManaged   MappedWhenManaged	Boolean		True
 sensitive	     Sensitive		Boolean		True
 useBottom	     Boolean		Boolean		False
 useRight	     Boolean		Boolean		False
 width		     Width		Dimension	0
 x		     Position		Position	0
 y		     Position		Position	0
 maxWindowHeight     MaxWindowHeight    Dimension       500
 minWindowHeight     MinWindowHeight    Dimension       0
*/

#define XtNmaxWindowHeight "maxWindowHeight"
#define XtCmaxWindowHeight "MaxWindowHeight"
#define XtRmaxWindowHeight "MaxWindowHeightType"

#define XtNminWindowHeight "minWindowHeight"
#define XtCminWindowHeight "MinWindowHeight"
#define XtRminWindowHeight "MinWindowHeightType"

extern WidgetClass XlviewWidgetClass;

typedef struct _XlViewClassRec 	*XlViewWidgetClass;
typedef struct _XlViewRec	*XlViewWidget;

#endif /* _XlView_h */
